<?php
/**
 * Descriptions
 * @author yzxh24
 * @email yzxh24@gmail.com
 * @created 2011-11-04 14:09:38
 */
class ListAction extends BaseAction
{
    public function run()
    {
    	$criteria = $this->_buildCriteria(new CDbCriteria(array('with'=>'task')));
        //put your code here
        $dataProvider = new CActiveDataProvider('Tasker',array(
        	'pagination' => array(
        		'pageSize' => 20
        	),
        	'sort' => array(
        		'defaultOrder' => 't.id DESC',
        	),
        ));
        $dataProvider->setCriteria($criteria);

        $this->getController()->addBreadcrumb(array('完成请求列表'=>array('/admin/tasker/respone')));
		$this->getController()->render('list', array(
			'dataProvider' => $dataProvider,
		));
    }
    
    /**
     * 根据url后面传递进来的参数获取一个查询条件
     * @param CDbCriteria $criteria
     * @return CDbCriteria
     */
    private function _buildCriteria(CDbCriteria $criteria)
    {
    	// 完善此功能
    	return Helper::buildCriteria($criteria, $_GET);
    }
}